from mvc.models import VimModel
from mvc.views import VimView
from mvc.controllers import EditController

def main():
    model = VimModel()
    view = VimView()
    controller = EditController(model, view.curses_adapter)

    # Загрузка файла для редактирования
    file_path = "example.txt"  # Укажите путь к файлу
    model.LoadFile(file_path)

    while True:
        view.Render(model.displayBuffer, 
                    model.currentLine, model.currentCol, 
                    model.scrollX, model.scrollY, 
                    model.file_path)
        
        symbolCode = view.curses_adapter.GetChar()
        if not controller.HandleInput(symbolCode): break

    view.curses_adapter.Cleanup()

if __name__ == "__main__":
    main()